Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ServerRuntimeMBean

All Superinterfaces:
  DynamicMBean, weblogic.health.HealthFeedback, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, ServerStates, weblogic.management.WebLogicMBean

public interface ServerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback, ServerStates

Provides methods for retrieving runtime information about a server instance and for transitioning a server from one state to another.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.runtime.ServerStates
`ACTIVATE_LATER, ADMIN, FAILED, FAILED_NOT_RESTARTABLE, FAILED_RESTARTING, FORCE_SHUTTING_DOWN, FORCE_SUSPENDING, RESUMING, RUNNING, SHUTDOWN, SHUTDOWN_IN_PROCESS, SHUTDOWN_PENDING, SHUTTING_DOWN, STANDBY, STARTING, SUSPENDING, UNKNOWN`

Method Summary
`boolean` | `addRequestClassRuntime(weblogic.management.runtime.RequestClassRuntimeMBean temp)`
`void` | `forceShutdown()` Force shutdown the server.
`void` | `forceSuspend()` Transitions the server from `RUNNING` to `ADMIN` state forcefully cancelling inflight work.
`long` | `getActivationTime()` The time when the server was started.
`int` | `getAdministrationPort()` Deprecated. 9.0.0.0 Replaced by `getAdministrationURL()`
`String` | `getAdministrationURL()` The URL that the server and its clients use for administrative connections.
`String` | `getAdminServerHost()` The address on which the Administration Server is listening for connections.
`int` | `getAdminServerListenPort()` The port on which the Administration Server is listening for connections.
`ApplicationRuntimeMBean[]` | `getApplicationRuntimes()` Returns the list of currently running Applications
`ClusterRuntimeMBean` | `getClusterRuntime()` Return an MBean which represents this server's view of its cluster, if any.
`ConnectorServiceRuntimeMBean` | `getConnectorServiceRuntime()` The access point for server wide control and monitoring of the Connector Container.
`String` | `getCurrentDirectory()` The absolute path of the directory from which the server was started.
`String` | `getCurrentMachine()` Return the machine on which the server is running.
`ExecuteQueueRuntimeMBean` | `getDefaultExecuteQueueRuntime()` Return an MBean which exposes this server's default execute queue.
`String` | `getDefaultURL()` The URL that clients use to connect to this server's default network channel.
`EntityCacheCumulativeRuntimeMBean` | `getEntityCacheCumulativeRuntime()` Return an MBean which represents Cumulative Status of the XML Cache.
`EntityCacheCurrentStateRuntimeMBean` | `getEntityCacheCurrentStateRuntime()` Return an MBean which represents Current Status of the XML Cache.
`EntityCacheCumulativeRuntimeMBean` | `getEntityCacheHistoricalRuntime()` Return an MBean which represents Historical Status of the XML Cache.
`ExecuteQueueRuntimeMBean[]` | `getExecuteQueueRuntimes()` Returns an array of MBeans which exposes this server's active execute queues.
`weblogic.health.HealthState` | `getHealthState()` The health state of the server as reported by the server's self-health monitoring.
`weblogic.management.runtime.JDBCServiceRuntimeMBean` | `getJDBCServiceRuntime()` The JDBCServiceRuntimeMBean for this server.
`JMSRuntimeMBean` | `getJMSRuntime()` The JMSRuntimeMBean for this server.
`JoltConnectionServiceRuntimeMBean` | `getJoltRuntime()` The JoltConnectionServiceRuntimeMBean for this server.
`JTARuntimeMBean` | `getJTARuntime()` The transaction RuntimeMBean for this server.
`JVMRuntimeMBean` | `getJVMRuntime()` The JVMRuntimeMBean for this server.
`weblogic.management.runtime.LibraryRuntimeMBean[]` | `getLibraryRuntimes()` Returns all deployed Libraries
`String` | `getListenAddress()` Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`
`int` | `getListenPort()` Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`
`LogBroadcasterRuntimeMBean` | `getLogBroadcasterRuntime()` The object which generates notifications on behalf of the logging subystem.
`weblogic.management.runtime.LogRuntimeMBean` | `getLogRuntime()` Return the MBean which provides access to the control interface for WLS server logging.
`MailSessionRuntimeMBean[]` | `getMailSessionRuntimes()` Return the runtimeMBeans for JavaMail Mail Sessions
`weblogic.management.runtime.MANReplicationRuntimeMBean` | `getMANReplicationRuntime()` Return an MBean which represents this server's view of its MANReplicationRuntime, if any.
`weblogic.management.runtime.MaxThreadsConstraintRuntimeMBean[]` | `getMaxThreadsConstraintRuntimes()` Returns an array of RuntimeMBeans which exposes this server's globally defined MaxThreadsConstraints.
`weblogic.management.runtime.MinThreadsConstraintRuntimeMBean[]` | `getMinThreadsConstraintRuntimes()` Returns an array of RuntimeMBeans which exposes this server's globally defined MinThreadsConstraints.
`int` | `getOpenSocketsCurrentCount()` The current number of sockets registered for socket muxing on this server.
`weblogic.management.runtime.PathServiceRuntimeMBean` | `getPathServiceRuntime()` The PathServiceRuntimeMBean for this server.
`weblogic.management.runtime.PersistentStoreRuntimeMBean[]` | `getPersistentStoreRuntimes()` Returns the mbeans that provides runtime information for each PersistentStore.
`weblogic.management.runtime.RequestClassRuntimeMBean[]` | `getRequestClassRuntimes()` Returns an array of RuntimeMBeans which exposes this server's globally defined Request Classes.
`int` | `getRestartsTotalCount()` The total number of restarts for this server since the cluster was last started.
`weblogic.management.runtime.SAFRuntimeMBean` | `getSAFRuntime()` The SAFRuntimeMBean for this server.
`InetSocketAddress` | `getServerChannel(String protocol)` The address on which this server is listening for connections that use the specified protocol.
`weblogic.management.runtime.ServerChannelRuntimeMBean[]` | `getServerChannelRuntimes()` The network channels that are currently configured on the server.
`String` | `getServerClasspath()` Get the classpath for this server including domain/lib contents that are automatically picked up and appended to the classpath.
`ServerSecurityRuntimeMBean` | `getServerSecurityRuntime()` Return the ServerSecurityRuntimeMBean for this server.
`long` | `getSocketsOpenedTotalCount()` The total number of registrations for socket muxing on this sever.
`String` | `getSSLListenAddress()` Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`
`int` | `getSSLListenPort()` Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`
`String` | `getState()` The current life cycle state of this server.
`int` | `getStateVal()` Returns current state of the server as in integer..
`weblogic.management.runtime.ThreadPoolRuntimeMBean` | `getThreadPoolRuntime()` Get the self-tuning thread pool's runtime information.
`weblogic.management.runtime.TimerRuntimeMBean` | `getTimerRuntime()` Get the runtime information about the WebLogic timer implementation.
`String` | `getURL(String protocol)` The URL that clients use when connecting to this server using the specified protocol.
`weblogic.management.runtime.WANReplicationRuntimeMBean` | `getWANReplicationRuntime()` Return an MBean which represents this server's view of its WANReplicationRuntime, if any.
`String` | `getWeblogicVersion()` The version of this WebLogic Server instance (server).
`WebServerRuntimeMBean[]` | `getWebServerRuntimes()` Returns all the initialized webservers
`weblogic.management.runtime.WLDFRuntimeMBean` | `getWLDFRuntime()` Return the MBean which provides access to all Diagnostic runtime MBeans.
`WLECConnectionServiceRuntimeMBean` | `getWLECConnectionServiceRuntime()` The WLECConnectionServiceRuntime for this server.
`weblogic.management.runtime.WorkManagerRuntimeMBean[]` | `getWorkManagerRuntimes()` Returns an array of MBeans which exposes this server's active internal WorkManagers.
`WTCRuntimeMBean` | `getWTCRuntime()` The WTCRuntimeMBean for this server.
`boolean` | `isAdministrationPortEnabled()` Indicates whether the administration port is enabled on the server
`boolean` | `isAdminServer()` Indicates whether the server is an Administration Server.
`boolean` | `isAdminServerListenPortSecure()` Indicates whether the port that the server uses for administrative traffic is configured to use a secure protocol.
`boolean` | `isListenPortEnabled()` Indicates whether the default listen port is enabled on the server.
`boolean` | `isRestartRequired()` Indicates whether the server must be restarted in order to activate configuration changes.
`boolean` | `isSSLListenPortEnabled()` Indicates whether the default SSL listen port is enabled on the server
`ApplicationRuntimeMBean` | `lookupApplicationRuntime(String name)` Returns the ApplicationRuntimeMBean asked for, by name.
`weblogic.management.runtime.LibraryRuntimeMBean` | `lookupLibraryRuntime(String name)` Returns the LibraryRuntimeMBean asked for, by name.
`weblogic.management.runtime.PersistentStoreRuntimeMBean` | `lookupPersistentStoreRuntime(String name)` Returns the Runtime mbean for the persistent store with the specified short name.
`void` | `restartSSLChannels()` Restart all SSL channels on which the server is listening.
`void` | `resume()` Resume suspended server.
`void` | `setCurrentMachine(String machineName)` Return the machine on which the server is running.
`void` | `setJTARuntime(JTARuntimeMBean b)` Sets the value of the JTARuntime attribute.
`void` | `shutdown()` Gracefully shuts down the server after handling inflight work.
`void` | `shutdown(int timeout, boolean ignoreSessions)` Gracefully shuts down the server after handling inflight work; optionally ignores pending HTTP sessions while handling inflight work.
`void` | `start()` Deprecated. Use `suspend()` and `resume()` operations instead of lock/unlock.
`void` | `suspend()` Suspend server.
`void` | `suspend(int timeout, boolean ignoreSessions)` Transitions the server from `RUNNING` to `ADMIN` state gracefully.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### addRequestClassRuntime

    public boolean addRequestClassRuntime(weblogic.management.runtime.RequestClassRuntimeMBean temp)

### forceShutdown

    public void forceShutdown()
                       throws weblogic.server.ServerLifecycleException

  Force shutdown the server. Causes the server to reject new requests and fail pending requests.

  Throws:
    `weblogic.server.ServerLifecycleException` - Thrown when the server cannot force shutdown due to a fatal exception. Even after this exception is thrown indicating failure the server exits after ServerLifeCycleTimeoutVal seconds defined in the ServerMBean.

### forceSuspend

    public void forceSuspend()
                      throws weblogic.server.ServerLifecycleException

  Transitions the server from `RUNNING` to `ADMIN` state forcefully cancelling inflight work.

  Work that cannot be cancelled is dropped. Applications are brought into the admin mode. This is the supported way of force suspending the server and getting it into `ADMIN` state.

  Throws:
    `weblogic.server.ServerLifecycleException` - server failed to force suspend. A `forceShutdown()` operation can be invoked.
  See Also:
    weblogic.management.runtime.ServerStates.

### getActivationTime

    public long getActivationTime()

  The time when the server was started.

  Returns:
    The activationTime value

### getAdministrationPort

    public int getAdministrationPort()

  Deprecated. 9.0.0.0 Replaced by `getAdministrationURL()`

  The port on which this server is listening for administrative requests.

  Returns:
    The administrationPort value

### getAdministrationURL

    public String getAdministrationURL()

  The URL that the server and its clients use for administrative connections.

  If no administration channel is enabled, then this method returns the URL for connections through the default channel. If the default channel is de-activated, this method returns the URL for a secure channel. If no secure channel is enabled, the method returns null.

  The returned URL will be consistent with dynamic channel updates.

  Returns:
    The URL as a string

### getAdminServerHost

    public String getAdminServerHost()

  The address on which the Administration Server is listening for connections. For example, this might return the string: santiago

  Returns:
    The adminServerHost value

### getAdminServerListenPort

    public int getAdminServerListenPort()

  The port on which the Administration Server is listening for connections.

  Returns:
    The adminServerListenPort value

### getApplicationRuntimes

    public ApplicationRuntimeMBean[] getApplicationRuntimes()

  Returns the list of currently running Applications

  Returns:
    the currently running applications.

### getClusterRuntime

    public ClusterRuntimeMBean getClusterRuntime()

  Return an MBean which represents this server's view of its cluster, if any.

  Returns:
    The clusterRuntime value

### getConnectorServiceRuntime

    public ConnectorServiceRuntimeMBean getConnectorServiceRuntime()

  The access point for server wide control and monitoring of the Connector Container.

  Returns:
    the Connector Service MBean for this server instance.

### getCurrentDirectory

    public String getCurrentDirectory()

  The absolute path of the directory from which the server was started.

  This may be used in conjunction with other relative paths in ServerMBean to compute full paths.

  Returns:
    The currentDirectory value
  See Also:
    `ServerMBean`

### getCurrentMachine

    public String getCurrentMachine()

  Return the machine on which the server is running. This will be different from the configuration if the server gets migrated automatically. * @return Machine on which server is running.

### getDefaultExecuteQueueRuntime

    public ExecuteQueueRuntimeMBean getDefaultExecuteQueueRuntime()

  Return an MBean which exposes this server's default execute queue.

  Returns:
    The executeQueueRuntime value

### getDefaultURL

    public String getDefaultURL()

  The URL that clients use to connect to this server's default network channel.

  The returned value indicates the default protocol, listen address and listen port:
  protocol://listen-address:listen-port

  Note:

    The default protocol, listen address and listen port are persisted in the domain's `config.xml` file, however when a server instance is started, command-line options can override these persisted values. This `getDefaultURL` method returns the URL values that are currently being used, not necessarily the values that are specified in `config.xml`.

  The returned URL will be consistent with dynamic channel updates.

  Returns:
    The URL as a string

### getEntityCacheCumulativeRuntime

    public EntityCacheCumulativeRuntimeMBean getEntityCacheCumulativeRuntime()

  Return an MBean which represents Cumulative Status of the XML Cache.

  Returns:
    The entityCacheCumulativeRuntime value

### getEntityCacheCurrentStateRuntime

    public EntityCacheCurrentStateRuntimeMBean getEntityCacheCurrentStateRuntime()

  Return an MBean which represents Current Status of the XML Cache.

  Returns:
    The entityCacheCurrentStateRuntime value

### getEntityCacheHistoricalRuntime

    public EntityCacheCumulativeRuntimeMBean getEntityCacheHistoricalRuntime()

  Return an MBean which represents Historical Status of the XML Cache.

  Returns:
    The entityCacheHistoricalRuntime value

### getExecuteQueueRuntimes

    public ExecuteQueueRuntimeMBean[] getExecuteQueueRuntimes()

  Returns an array of MBeans which exposes this server's active execute queues.

  Returns:
    The executeQueueRuntimes value

### getHealthState

    public weblogic.health.HealthState getHealthState()

  The health state of the server as reported by the server's self-health monitoring.

  For example, the server can report if it is overloaded by too many requests, if it needs more memory resources, or if it will soon fail for other reasons.

  Specified by:
    `getHealthState` in interface `weblogic.health.HealthFeedback`
  Returns:
    The healthState value

### getJDBCServiceRuntime

    public weblogic.management.runtime.JDBCServiceRuntimeMBean getJDBCServiceRuntime()

  The JDBCServiceRuntimeMBean for this server.

  Returns:
    The jDBCServiceRuntime value

### getJMSRuntime

    public JMSRuntimeMBean getJMSRuntime()

  The JMSRuntimeMBean for this server.

  Returns:
    The jMSRuntime value

### getJoltRuntime

    public JoltConnectionServiceRuntimeMBean getJoltRuntime()

  The JoltConnectionServiceRuntimeMBean for this server.

  Returns:
    The JoltConnectionServiceRuntime value

### getJTARuntime

    public JTARuntimeMBean getJTARuntime()

  The transaction RuntimeMBean for this server.

  Returns:
    The jTARuntime value
  See Also:
    `JTARuntimeMBean`

### getJVMRuntime

    public JVMRuntimeMBean getJVMRuntime()

  The JVMRuntimeMBean for this server.

  Returns:
    The jVMRuntime value
  See Also:
    `JVMRuntimeMBean`

### getLibraryRuntimes

    public weblogic.management.runtime.LibraryRuntimeMBean[] getLibraryRuntimes()

  Returns all deployed Libraries

  Returns:
    Array of LibraryRuntimeMBeans.

### getListenAddress

    public String getListenAddress()

  Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`

  The address on which this server is listening for connections through the default network channel.

  For example this might return the string: `santiago/172.17.9.220`.

  You can configure other network channels for this server, and the other channels can use different listen addresses.

  Returns:
    The listenAddress value
  See Also:
    `#getServerChannel(protocol)`

### getListenPort

    public int getListenPort()

  Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`

  The port on which this server is listening for connections.

  Returns:
    The listenPort value

### getLogBroadcasterRuntime

    public LogBroadcasterRuntimeMBean getLogBroadcasterRuntime()
                                                        throws weblogic.management.ManagementException

  The object which generates notifications on behalf of the logging subystem.

  Throws:
    `weblogic.management.ManagementException`

### getLogRuntime

    public weblogic.management.runtime.LogRuntimeMBean getLogRuntime()

  Return the MBean which provides access to the control interface for WLS server logging.

  Since:
    9.0

### getMailSessionRuntimes

    public MailSessionRuntimeMBean[] getMailSessionRuntimes()

  Return the runtimeMBeans for JavaMail Mail Sessions

  Since:
    9.0

### getMANReplicationRuntime

    public weblogic.management.runtime.MANReplicationRuntimeMBean getMANReplicationRuntime()

  Return an MBean which represents this server's view of its MANReplicationRuntime, if any.

  Returns:
    The MANReplicationRuntime value

### getMaxThreadsConstraintRuntimes

    public weblogic.management.runtime.MaxThreadsConstraintRuntimeMBean[] getMaxThreadsConstraintRuntimes()

  Returns an array of RuntimeMBeans which exposes this server's globally defined MaxThreadsConstraints.

  Since:
    9.0.0.0

### getMinThreadsConstraintRuntimes

    public weblogic.management.runtime.MinThreadsConstraintRuntimeMBean[] getMinThreadsConstraintRuntimes()

  Returns an array of RuntimeMBeans which exposes this server's globally defined MinThreadsConstraints.

  Since:
    9.0.0.0

### getOpenSocketsCurrentCount

    public int getOpenSocketsCurrentCount()

  The current number of sockets registered for socket muxing on this server.

  Returns:
    The openSocketsCurrentCount value

### getPathServiceRuntime

    public weblogic.management.runtime.PathServiceRuntimeMBean getPathServiceRuntime()

  The PathServiceRuntimeMBean for this server.

  Returns:
    The jMSRuntime value

### getPersistentStoreRuntimes

    public weblogic.management.runtime.PersistentStoreRuntimeMBean[] getPersistentStoreRuntimes()

  Returns the mbeans that provides runtime information for each PersistentStore.

  Since:
    9.0

### getRequestClassRuntimes

    public weblogic.management.runtime.RequestClassRuntimeMBean[] getRequestClassRuntimes()

  Returns an array of RuntimeMBeans which exposes this server's globally defined Request Classes.

  Since:
    9.0.0.0

### getRestartsTotalCount

    public int getRestartsTotalCount()

  The total number of restarts for this server since the cluster was last started.

  Returns:
    The restartsTotalCount value

### getSAFRuntime

    public weblogic.management.runtime.SAFRuntimeMBean getSAFRuntime()

  The SAFRuntimeMBean for this server.

  Returns:
    The sAFRuntime value

### getServerChannel

    public InetSocketAddress getServerChannel(String protocol)

  The address on which this server is listening for connections that use the specified protocol.

  Note:

    The listen address is persisted in the domain's `config.xml` file, however when a server instance is started, a command-line option can override the persisted listen address. This `getServerChannel` method returns the listen address that is currently being used, not necessarily the address that is specified in `config.xml`.

  The returned address will always be resolved.

  Parameters:
    `protocol` - the desired protocol
  Returns:
    The channel as an InetSocketAddress

### getServerChannelRuntimes

    public weblogic.management.runtime.ServerChannelRuntimeMBean[] getServerChannelRuntimes()

  The network channels that are currently configured on the server.

  Returns:
    The channels value

### getServerClasspath

    public String getServerClasspath()

  Get the classpath for this server including domain/lib contents that are automatically picked up and appended to the classpath.

  Since:
    9.0.0.0

### getServerSecurityRuntime

    public ServerSecurityRuntimeMBean getServerSecurityRuntime()

  Return the ServerSecurityRuntimeMBean for this server.

  Returns:
    The serverSecurityRuntime value

### getSocketsOpenedTotalCount

    public long getSocketsOpenedTotalCount()

  The total number of registrations for socket muxing on this sever.

  Returns:
    The socketsOpenedTotalCount value

### getSSLListenAddress

    public String getSSLListenAddress()

  Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`

  The address on which this server is listening for SSL connections. For example this might return the string: santiago/172.17.9.220

  Returns:
    The sSLListenAddress value

### getSSLListenPort

    public int getSSLListenPort()

  Deprecated. 9.0.0.0 Replaced by `getURL(java.lang.String)`

  The port on which this server is listening for SSL connections.

  Returns:
    The sSLListenPort value

### getState

    public String getState()

  The current life cycle state of this server.

  For example, a server can be in a RUNNING state in which it can receive and process requests or in an ADMIN state in which it can receive only administrative requests.

  Returns:
    The state value
  See Also:
    weblogic.management.runtime.ServerStates.

### getStateVal

    public int getStateVal()

  Returns current state of the server as in integer..

  Returns:
    The stateVal value

### getThreadPoolRuntime

    public weblogic.management.runtime.ThreadPoolRuntimeMBean getThreadPoolRuntime()

  Get the self-tuning thread pool's runtime information. This call will return `null` if the self-tuning implementation is not enabled.

  Since:
    9.0.0.0

### getTimerRuntime

    public weblogic.management.runtime.TimerRuntimeMBean getTimerRuntime()

  Get the runtime information about the WebLogic timer implementation.

### getURL

    public String getURL(String protocol)

  The URL that clients use when connecting to this server using the specified protocol.

  Note:

    The listen address and listen port for a given protocol are persisted in the domain's `config.xml` file, however when a server instance is started, command-line options can override these persisted values. This `getURL` method returns the URL values that are currently being used, not necessarily the values that are specified in `config.xml`.

  Parameters:
    `protocol` - the desired protocol
  Returns:
    The URL as a string

### getWANReplicationRuntime

    public weblogic.management.runtime.WANReplicationRuntimeMBean getWANReplicationRuntime()

  Return an MBean which represents this server's view of its WANReplicationRuntime, if any.

  Returns:
    The WANReplicationRuntime value

### getWeblogicVersion

    public String getWeblogicVersion()

  The version of this WebLogic Server instance (server).

  Returns:
    The weblogicVersion value

### getWebServerRuntimes

    public WebServerRuntimeMBean[] getWebServerRuntimes()

  Returns all the initialized webservers

### getWLDFRuntime

    public weblogic.management.runtime.WLDFRuntimeMBean getWLDFRuntime()

  Return the MBean which provides access to all Diagnostic runtime MBeans.

  Since:
    9.0

### getWLECConnectionServiceRuntime

    public WLECConnectionServiceRuntimeMBean getWLECConnectionServiceRuntime()

  The WLECConnectionServiceRuntime for this server.

  Returns:
    The WLECConnectionServiceRuntime

### getWorkManagerRuntimes

    public weblogic.management.runtime.WorkManagerRuntimeMBean[] getWorkManagerRuntimes()

  Returns an array of MBeans which exposes this server's active internal WorkManagers.

  Returns:
    The workManagerRuntimes value
  Since:
    9.0.0.0

### getWTCRuntime

    public WTCRuntimeMBean getWTCRuntime()

  The WTCRuntimeMBean for this server.

  Returns:
    The WTCRuntime value

### isAdministrationPortEnabled

    public boolean isAdministrationPortEnabled()

  Indicates whether the administration port is enabled on the server

  Returns:
    The administrationPortEnabled value

### isAdminServer

    public boolean isAdminServer()

  Indicates whether the server is an Administration Server.

  Returns:
    The adminServer value

### isAdminServerListenPortSecure

    public boolean isAdminServerListenPortSecure()

  Indicates whether the port that the server uses for administrative traffic is configured to use a secure protocol.

  Returns:
    The adminServerListenPortSecure value

### isListenPortEnabled

    public boolean isListenPortEnabled()

  Indicates whether the default listen port is enabled on the server.

  Returns:
    The listenPortEnabled value

### isRestartRequired

    public boolean isRestartRequired()

  Indicates whether the server must be restarted in order to activate configuration changes.

  Returns:
    true if the server needs to be restarted, false otherwise.
  Since:
    9.0.0.0

### isSSLListenPortEnabled

    public boolean isSSLListenPortEnabled()

  Indicates whether the default SSL listen port is enabled on the server

  Returns:
    The SLListenPortEnabled value

### lookupApplicationRuntime

    public ApplicationRuntimeMBean lookupApplicationRuntime(String name)

  Returns the ApplicationRuntimeMBean asked for, by name.

  Returns:
    The requested ApplicationRuntimeMBean, null if it does not exist.

### lookupLibraryRuntime

    public weblogic.management.runtime.LibraryRuntimeMBean lookupLibraryRuntime(String name)

  Returns the LibraryRuntimeMBean asked for, by name.

  Returns:
    The requested LibraryRuntimeMBean, null if it does not exist.

### lookupPersistentStoreRuntime

    public weblogic.management.runtime.PersistentStoreRuntimeMBean lookupPersistentStoreRuntime(String name)

  Returns the Runtime mbean for the persistent store with the specified short name.

  Parameters:
    `name` -
  Returns:

### restartSSLChannels

    public void restartSSLChannels()

  Restart all SSL channels on which the server is listening. This could be necessary because of some change that the server is not aware of, for instance updates to the keystore.

### resume

    public void resume()
                throws weblogic.server.ServerLifecycleException

  Resume suspended server. Allow new requests. This operation transitions the server into `RUNNING` state.

  Throws:
    `weblogic.server.ServerLifecycleException` - if this operation fails to complete. The server transitions back to the previous state from which this operation was invoked e.g. if the server was in the `ADMIN` state before this operation, it will go back to the `ADMIN` state if resume fails.

### setCurrentMachine

    public void setCurrentMachine(String machineName)

  Return the machine on which the server is running. This will be different from the configuration if the server gets migrated automatically.

  Parameters:
    `machineName` -

### setJTARuntime

    public void setJTARuntime(JTARuntimeMBean b)

  Sets the value of the JTARuntime attribute.

  See Also:
    `getJTARuntime()`

### shutdown

    public void shutdown()
                  throws weblogic.server.ServerLifecycleException

  Gracefully shuts down the server after handling inflight work.

  Throws:
    `weblogic.server.ServerLifecycleException`
  See Also:
    `shutdown(int, boolean)`

### shutdown

    public void shutdown(int timeout,
                         boolean ignoreSessions)
                  throws weblogic.server.ServerLifecycleException

  Gracefully shuts down the server after handling inflight work; optionally ignores pending HTTP sessions while handling inflight work.

  The following inflight work is allowed to complete before shutdown:

  - Pending transaction's and TLOG checkpoint

  - Pending HTTP sessions

  - Pending JMS work

  - Pending work in the execute queues

  - RMI requests with transaction context

  Further administrative calls are accepted while the server is completing inflight work. For example a forceShutdown command can be issued to quickly shutdown the server if graceful shutdown takes a long time.

  Parameters:
    `timeout` - Number of seconds to wait before aborting inflight work and shutting down the server.
    `ignoreSessions` - `true` indicates ignore pending HTTP sessions during inflight work handling.
  Throws:
    `weblogic.server.ServerLifecycleException` - Thrown if the server cannot gracefully shutdown. Use the forceShutdown command to shutdown the server.

### start

    public void start()

  Deprecated. Use `suspend()` and `resume()` operations instead of lock/unlock.

  Unlocks a server and enables it to receive new requests.

  Servers can be locked with the `java weblogic.Admin LOCK` command. In a locked state, a server instance accepts only administrative logins.

### suspend

    public void suspend()
                 throws weblogic.server.ServerLifecycleException

  Suspend server. Deny new requests (except by privileged users). Allow pending requests to complete. This operation transitions the server into `ADMIN` state. Applications and resources are fully available to administrators in `ADMIN` state. But non-admin users are denied access to applications and resources

  Throws:
    `weblogic.server.ServerLifecycleException`
  See Also:
    `suspend(int, boolean)`, weblogic.management.runtime.ServerStates.

### suspend

    public void suspend(int timeout,
                        boolean ignoreSessions)
                 throws weblogic.server.ServerLifecycleException

  Transitions the server from `RUNNING` to `ADMIN` state gracefully.

  Applications are in admin mode. Inflight work is completed. Applications and resources are fully available to administrators in `ADMIN` state. But non-admin users are denied access to applications and resources

  Parameters:
    `timeout` - Seconds to wait for server to transition gracefully. The server calls `forceSuspend()` after timeout.
    `ignoreSessions` - drop inflight HTTP sessions during graceful suspend
  Throws:
    `weblogic.server.ServerLifecycleException` - server failed to suspend gracefully. A `forceSuspend()` or a `forceShutdown()` operation can be invoked.
  See Also:
    weblogic.management.runtime.ServerStates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD